HealthControllerCancelHealthCheck Method |
DELETE /Health/
Cancels the health check with the corresponding context ID.
Namespace:
Dundas.BI.WebApi.Controllers
Assembly:
Dundas.BI.WebApi (in Dundas.BI.WebApi.dll) Version: 2.0.0.0 (8.0.2.1001)
Syntax[HttpDeleteAttribute]
[ActionNameAttribute("Index")]
public HttpResponseMessage CancelHealthCheck(
Guid contextId,
Nullable<Guid> sessionId = null
)<HttpDeleteAttribute>
<ActionNameAttribute("Index")>
Public Function CancelHealthCheck (
contextId As Guid,
Optional sessionId As Nullable(Of Guid) = Nothing
) As HttpResponseMessagepublic:
[HttpDeleteAttribute]
[ActionNameAttribute(L"Index")]
HttpResponseMessage^ CancelHealthCheck(
Guid contextId,
Nullable<Guid> sessionId = nullptr
)
[<HttpDeleteAttribute>]
[<ActionNameAttribute("Index")>]
member CancelHealthCheck :
contextId : Guid *
?sessionId : Nullable<Guid>
(* Defaults:
let _sessionId = defaultArg sessionId null
*)
-> HttpResponseMessage
Parameters
- contextId
- Type: SystemGuid
The context ID of the health check. - sessionId (Optional)
- Type: SystemNullableGuid
The current session ID.
Return Value
Type:
HttpResponseMessageA status code indicating success or the reason for failure.
See Also